Package org.apache.jmeter.util

# Class ScriptingTestElement

java.lang.Object
org.apache.jmeter.testelement.AbstractTestElement
org.apache.jmeter.util.ScriptingTestElement

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Searchable`, `org.apache.jmeter.testelement.TestElement`

Direct Known Subclasses:
  `BSFTestElement`, `JSR223TestElement`

public abstract class ScriptingTestElement extends AbstractTestElement
Common parent class for the `BSFTestElement` and `JSR223TestElement` scripting test elements. These also share the `ScriptingBeanInfoSupport` class for configuration.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.jmeter.testelement.TestElement

  `org.apache.jmeter.testelement.TestElement.Companion`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT_SCRIPT_LANGUAGE`
  `protected String`
  `scriptLanguage`

  ### Fields inherited from interface org.apache.jmeter.testelement.TestElement

  `COMMENTS, Companion, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ScriptingTestElement()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getFilename()`
  `String`
  `getParameters()`
  `String`
  `getScript()`
  Return the script (TestBean version).
  `protected boolean`
  `isStopCondition(Throwable rootCause)`
  `void`
  `setFilename(String s)`
  `void`
  `setParameters(String s)`
  `void`
  `setScript(String s)`
  Set the script (TestBean version).

  ### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

  `addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getPropertyOrNull, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.jmeter.testelement.TestElement

  `get, get, get, get, get, get, get, get, get, getOrCreate, getOrCreate, getOrNull, getOrNull, getOrNull, getPropertyOrNull, getProps, getSchema, getString, removed, removeProperty, set, set, set, set, set, set, set, set, set`

- ## Field Details

  - ### scriptLanguage

    protected String scriptLanguage

  - ### DEFAULT_SCRIPT_LANGUAGE

    public static final String DEFAULT_SCRIPT_LANGUAGE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ScriptingTestElement

    protected ScriptingTestElement()

- ## Method Details

  - ### getScript

    public String getScript()
    Return the script (TestBean version). Must be overridden for subclasses that don't implement TestBean otherwise the clone() method won't work.
    Returns:
      the script to execute

  - ### setScript

    public void setScript(String s)
    Set the script (TestBean version). Must be overridden for subclasses that don't implement TestBean otherwise the clone() method won't work.
    Parameters:
      `s` - the script to execute (may be blank)

  - ### getParameters

    public String getParameters()

  - ### setParameters

    public void setParameters(String s)

  - ### getFilename

    public String getFilename()

  - ### setFilename

    public void setFilename(String s)

  - ### isStopCondition

    protected boolean isStopCondition(Throwable rootCause)
    Parameters:
      `rootCause` - Throwable
    Returns:
      true if Throwable is an Exception that impacts test state